Get Forms
http
GET https://services.leadconnectorhq.com/forms/Authorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Query parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
locationId | string | Yes | ve9EPM428h8vShlRW1KT | |
skip | number | No | ||
limit | number | No | 20 | Limit Per Page records count. will allow maximum up to 50 and default will be 10 |
type | string | No | folder |
Responses
200 - Successful response
forms(object[])id(string): Example:YSWdvS4Is98wtIDGnpmIname(string): Example:Form 1locationId(string): Example:ve9EPM428h8vShlRW1KT
total(number): Total number of forms Example:20
json
{
"forms": [
{
"id": "YSWdvS4Is98wtIDGnpmI",
"name": "Form 1",
"locationId": "ve9EPM428h8vShlRW1KT"
}
],
"total": "20"
}400 - Bad Request
json
{}Example
curl -X GET 'https://services.leadconnectorhq.com/forms/' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'const response = await fetch('https://services.leadconnectorhq.com/forms/', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/forms/',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/forms/');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);